<Project Sdk="Microsoft.NET.Sdk">



	<PropertyGroup>
		<TargetFramework>net7.0</TargetFramework>
		<NoWarn>1701;1702;1591</NoWarn>
		<DocumentationFile>YBEE.EQM.Application.xml</DocumentationFile>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>



	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
	  <DebugType>full</DebugType>
	</PropertyGroup>



	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
	  <DebugType>full</DebugType>
	</PropertyGroup>


	<ItemGroup>
		<None Remove="applicationsettings.Development.json" />
		<None Remove="applicationsettings.Production.json" />
		<None Remove="YBEE.EQM.Application.xml" />
	</ItemGroup>

	<ItemGroup>
		<Content Include="applicationsettings.Production.json">
		  <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
		<Content Include="applicationsettings.Development.json">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\YBEE.EQM.Core\YBEE.EQM.Core.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="Base\Person\Services\" />
	  <Folder Include="Base\SchoolClassStudent\Services\" />
	  <Folder Include="Base\SchoolTeacher\" />
	  <Folder Include="Base\SchoolTeacherCourse\" />
	  <Folder Include="Student\SpecialStudent\Services\" />
	  <Folder Include="Summary\Services\" />
	</ItemGroup>

</Project>
